"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _reactI18next = require("react-i18next");

var _CodeEditor = _interopRequireDefault(require("../CodeEditor"));

var _EmailEditorContext = _interopRequireDefault(require("../EmailEditorContext"));

var _TreeView = _interopRequireDefault(require("../TreeView"));

var _useEmailTemplates = _interopRequireDefault(require("../useEmailTemplates"));

var _styles = _interopRequireDefault(require("./styles"));

var _EmailEditorWrapper = _interopRequireDefault(require("../EmailEditorWrapper"));

var _EmailEditorErrorBoundary = _interopRequireDefault(require("../EmailEditorErrorBoundary"));

var _EmailEditorErrorGraphic = _interopRequireDefault(require("../EmailEditorErrorGraphic"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MobileAlert = () => {
  const {
    t
  } = (0, _reactI18next.useTranslation)('descriptions');
  return /*#__PURE__*/_react.default.createElement(_core.Hidden, {
    mdUp: true
  }, /*#__PURE__*/_react.default.createElement(_core.Box, {
    p: 1
  }, /*#__PURE__*/_react.default.createElement(_Alert.default, {
    severity: "warning"
  }, t('emailPreviewDisabledMobile'))));
};

const EmailEditor = () => {
  const cls = (0, _styles.default)();
  const {
    error,
    ready,
    ...rest
  } = (0, _useEmailTemplates.default)();
  if (!ready) return /*#__PURE__*/_react.default.createElement(_EmailEditorWrapper.default, {
    className: cls.center
  }, /*#__PURE__*/_react.default.createElement(_core.CircularProgress, null));
  if (error) return /*#__PURE__*/_react.default.createElement(_EmailEditorErrorGraphic.default, null);
  return /*#__PURE__*/_react.default.createElement(_EmailEditorErrorBoundary.default, null, /*#__PURE__*/_react.default.createElement(_EmailEditorWrapper.default, null, /*#__PURE__*/_react.default.createElement(_EmailEditorContext.default.Provider, {
    value: rest
  }, /*#__PURE__*/_react.default.createElement(_core.Container, {
    maxWidth: "xl",
    disableGutters: true,
    className: cls.wrapper
  }, /*#__PURE__*/_react.default.createElement(MobileAlert, null), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    className: cls.root,
    container: true
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    className: cls.sidebar
  }, /*#__PURE__*/_react.default.createElement(_TreeView.default, null)), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    xs: true
  }, /*#__PURE__*/_react.default.createElement(_CodeEditor.default, null)))))));
};

var _default = EmailEditor;
exports.default = _default;