"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _TreeView = _interopRequireDefault(require("@material-ui/lab/TreeView"));

var _ExpandMore = _interopRequireDefault(require("@material-ui/icons/ExpandMore"));

var _ChevronRight = _interopRequireDefault(require("@material-ui/icons/ChevronRight"));

var _TreeItem = _interopRequireDefault(require("@material-ui/lab/TreeItem"));

var _reactI18next = require("react-i18next");

var _EmailEditorContext = _interopRequireDefault(require("../EmailEditorContext"));

var _useEmailTemplates = require("../useEmailTemplates/useEmailTemplates");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const CustomTreeView = () => {
  const {
    wrapper: wrapperCls,
    ...cls
  } = (0, _styles.default)();
  const {
    t
  } = (0, _reactI18next.useTranslation)();

  const {
    id,
    setById,
    templates = []
  } = _react.default.useContext(_EmailEditorContext.default);

  const {
    partial,
    full
  } = templates.reduce((acc, curr) => {
    if ((0, _useEmailTemplates.isPartial)(curr)) acc.partial.push(curr);else acc.full.push(curr);
    return acc;
  }, {
    partial: [],
    full: []
  });

  const hasTemplateId = xs => templates.findIndex(item => item.id === xs) !== -1;

  const handleNodeSelect = (e, value) => hasTemplateId(value) ? setById(value) : null;

  const renderTree = xs => xs.map(temp => /*#__PURE__*/_react.default.createElement(_TreeItem.default, {
    classes: cls,
    nodeId: temp.id,
    label: temp.name,
    key: temp.id
  }));

  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    className: wrapperCls,
    component: "nav",
    p: 2,
    pr: 6
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    mb: 1
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    component: "h1",
    variant: "h6",
    color: "inherit"
  }, t('titles:emailEditor')), /*#__PURE__*/_react.default.createElement(_Box.default, {
    mt: 0.5
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    color: "inherit"
  }, t('descriptions:emailTemplateLanguage')))), /*#__PURE__*/_react.default.createElement(_TreeView.default, {
    defaultExpanded: ['0', '1'],
    defaultCollapseIcon: /*#__PURE__*/_react.default.createElement(_ExpandMore.default, null),
    defaultExpandIcon: /*#__PURE__*/_react.default.createElement(_ChevronRight.default, null),
    selected: id,
    onNodeSelect: handleNodeSelect
  }, /*#__PURE__*/_react.default.createElement(_TreeItem.default, {
    classes: cls,
    label: t('labels:partials'),
    nodeId: "0"
  }, renderTree(partial)), /*#__PURE__*/_react.default.createElement(_TreeItem.default, {
    classes: cls,
    label: t('labels:templates'),
    nodeId: "1"
  }, renderTree(full))));
};

var _default = CustomTreeView;
exports.default = _default;